%define pkg_version 3.1.2
%define pkg_release 1%{?_dist_release}

Summary: Plugins for eog
Summary(ja): eog用のプラグイン
Name: eog-plugins
Version: %{pkg_version}
Release: %{pkg_release}
Source0: http://download.gnome.org/sources/eog-plugins/3.1/%{name}-%{version}.tar.xz
Patch0:  %{name}-3.1.2-configure.patch
License: GPLv2+
Group: Applications/Graphics
URL: http://live.gnome.org/EyeOfGnome/Plugins

Requires: gtk3
Requires: eog
Requires: python
Requires: gnome-python
Requires: pygtk2
Requires: libexif
Requires: libchamplain, libchamplain-gtk
BuildRequires: gtk3-devel
BuildRequires: eog-devel
BuildRequires: pygobject-devel
BuildRequires: gnome-python-devel
BuildRequires: pygtk2-devel
BuildRequires: libexif-devel
BuildRequires: libchamplain-devel, libchamplain-gtk-devel
BuildRequires: libpeas-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
It's a collection of plugins for use with the Eye of GNOME Image Viewer.

%description -l ja
Eye of GNOME イメージビューア用のプラグイン集


%prep
%setup -q
%ifarch x86_64
%patch0 -p1 -b .python
%endif

%build
%configure --with-plugins=map,exif-display,fit-to-width,pythonconsole,slideshowshuffle
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# remove *.la
%{__rm} -f ${RPM_BUILD_ROOT}/%{_libdir}/eog/plugins/*.la

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_libdir}/*
%{_datadir}/eog/plugins/exif-display/*.ui
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml


%changelog
* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- new upstream release
- add BuildRequires: libpeas-devel
- change BuildRequires: gtk3-devel instead of gtk2-devel
- update Patch0

* Sun Feb 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- change BuildRequires: eog-devel instead of eog

* Sat Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- rebuild with libchamplain-0.8

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- initial build for Vine Linux
- exclude postr plugin 

