%define         pkg_version 0.3
%define         pkg_release 1%{?_dist_release}

Name:           p11-kit
Version:        %{pkg_version}
Release:        %{pkg_release}
Summary:        Provides a way to load and enumerate PKCS#11 modules

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://p11-glue.freedesktop.org/p11-kit.html
Source0:        http://p11-glue.freedesktop.org/releases/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root


Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Provides a way to load and enumerate PKCS#11 modules. Provides a standard
configuration setup for installing PKCS#11 modules in such a way that
they're discoverable.

Also solves problems with coordinating the use of PKCS#11 by different
components or libraries living in the same process.


%package devel
Summary:        Development tools for p11-kit
Summary(ja):    p11-kit の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
p11-kit.


%package        doc
Summary:        Documentation for p11-kit
Summary(ja):    p11-kit 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch


%description    doc
This package contains documentation for p11-kit.


%prep
%setup -q

%build
%configure \
	--disable-static \

make V=0

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="%{__install} -p -c"

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING NEWS README
%{_bindir}/p11-kit
%{_libdir}/libp11-kit.so.*
%{_libdir}/p11-kit-proxy.so

%files devel
%defattr(-, root, root,-)
%{_includedir}/p11-kit-1
%{_libdir}/libp11-kit.so
%{_libdir}/pkgconfig/p11-kit-1.pc

%files doc
%defattr(-, root, root,-)
%{_datadir}/gtk-doc/html/p11-kit


%changelog
* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3-1
- initial build for Vine Linux

